{%- from "shuup/front/macros/product.jinja" import product_box with context -%}

{%- set cross_sell_products = shuup.product.get_product_cross_sells(
    product, type, count=count, orderable_only=orderable_only, use_variation_parents=use_variation_parents) %}

{% if cross_sell_products %}
    <section class="carousel-section product-cross-sells-plugin">
        {% if title %}
            <div class="title-bar light"><h2>{{ title }}</h2></div>
        {% endif %}
        <div class="product-carousel owl-carousel five">
            {%- set show_actions = xtheme.show_product_card_actions_in_carousel() -%}
            {% for product in cross_sell_products %}
                {{ product_box(product, show_user_actions=false, show_actions=show_actions) }}
            {% endfor %}
        </div>
    </section>
{% endif %}
